FROM scratch

COPY manifests/ /manifests
COPY metadata/annotations.yaml /metadata/annotations.yaml

# Metadata labels
LABEL operators.operatorframework.io.bundle.mediatype.v1=registry+v1
LABEL operators.operatorframework.io.bundle.manifests.v1=manifests/
LABEL operators.operatorframework.io.bundle.metadata.v1=metadata/
LABEL operators.operatorframework.io.bundle.package.v1=ocs-operator
LABEL operators.operatorframework.io.bundle.channels.v1=stable-4.6
LABEL operators.operatorframework.io.bundle.channel.default.v1=stable-4.6

# Operator bundle metadata
LABEL com.redhat.delivery.operator.bundle=true
LABEL com.redhat.openshift.versions="v4.5,v4.6"
LABEL com.redhat.delivery.backport=true

# Standard Red Hat labels
LABEL com.redhat.component="ocs-operator-bundle-container"
LABEL name="ocs-operator-bundle"
LABEL version="4.6.0"
LABEL release="7"
LABEL summary="OLM Metadata for the OCS Operator"
LABEL io.k8s.display-name="ocs-operator-bundle"
LABEL maintainer="Boris Ranto <branto@redhat.com>"
LABEL description="OLM Metadata for the OCS Operator"
LABEL io.openshift.tags="ocs"
LABEL ocs.tags="v4.6"
